Subject: [Editorial Errata Reported] RFC7230 (4779)

From: RFC Errata System <[email-masked]>
Date: Thu, 18 Aug 2016 02:42:47 -0700 (PDT)

The following errata report has been submitted for RFC7230,
"Hypertext Transfer Protocol (HTTP/1.1): Message Syntax and Routing".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7230&eid=4779

--------------------------------------
Type: Editorial
Reported by: William A. Rowe Jr. <[email-masked]>

Section: A.2.

Original Text
-------------
   [...] Non-US-ASCII content in header fields and the reason
   phrase has been obsoleted and made opaque (the TEXT rule was
   removed).  (Section 3.2.6)

Corrected Text
--------------
   [...] Non-US-ASCII content in header field values and the reason
   phrase has been obsoleted and made opaque (the TEXT rule was
   removed).  (Section 3.2.6)

Notes
-----
Section 3.2 plainly states header field names are token 
(VCHARs less separators) as defined in 3.2.6. 

The "header fields" identified in this footnote are neither 
clear nor correct.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7230 (draft-ietf-httpbis-p1-messaging-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Message Syntax and Routing
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 19 Aug 2016 13:21:49 +1000

This seems like an editorial improvement; the current text is reasonably clear (especially since this is just a summary of changes, not normative text). 

HOLD FOR UPDATE, I think.

Cheers,

> On 18 Aug 2016, at 7:42 PM, RFC Errata System <[email-masked]> wrote:
> 

--
Mark Nottingham   https://www.mnot.net/

---

From: "Roy T. Fielding" <[email-masked]>
Date: Fri, 19 Aug 2016 09:25:43 -0700

> On Aug 18, 2016, at 8:21 PM, Mark Nottingham <[email-masked]> wrote:
> 

Isn't that pointless? I mean, the entire section should be removed on the
next update.

The existing text is correct in relation to the change from 2616.  Making
it more specific would have been better, but that doesn't qualify as errata.

....Roy

---

From: Mark Nottingham <[email-masked]>
Date: Sat, 20 Aug 2016 09:00:57 +1000

Fair enough. REJECT.

> On 20 Aug 2016, at 2:25 AM, Roy T. Fielding <[email-masked]> wrote:
>